Public Member Functions

# FlowMapper Class Reference

Map the path trees generated by the MCF solver into flows. More...

`#include <flowmapper.h>`

Inheritance diagram for FlowMapper:

## Public Member Functions
virtual void | Run (LinkGraphComponent *component)
| Map the paths generated by the MCF solver into flows associated with nodes.

## Detailed Description

Map the path trees generated by the MCF solver into flows.

The path tree is useful to cache capacities and distances and allow quick disconnecting and reconnecting to other paths. The flows show how much cargo from which nodes is to be routed in which direction at a given node. This is what we need in the end.

Definition at line 24 of file flowmapper.h.

## Member Function Documentation

void FlowMapper::Run | ( | LinkGraphComponent * | component | ) | `[virtual]`

Map the paths generated by the MCF solver into flows associated with nodes.

Parameters:

  | component | the link graph component to be used.

Implements ComponentHandler.

Definition at line 19 of file flowmapper.cpp.

References Node::flows, Path::GetFlow(), Path::GetNode(), LinkGraphComponent::GetNode(), Path::GetOrigin(), LinkGraphComponent::GetSize(), Node::paths, and Node::station.

The documentation for this class was generated from the following files:

- src/linkgraph/flowmapper.h
- src/linkgraph/flowmapper.cpp